commit:     5026a7bc4ba43678571ae0227a86482eed244fc0
Author:     Daniel Quinn <code <AT> danielquinn <DOT> org>
AuthorDate: Fri Apr 15 16:21:52 2016 +0000
Commit:     Patrice Clement <monsieurp <AT> gentoo <DOT> org>
CommitDate: Fri Apr 15 18:55:13 2016 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=5026a7bc

net-analyzer/ripe-atlas-tools: Version bump to 1.2.3

Closes: https://github.com/gentoo/gentoo/pull/1265

Signed-off-by: Patrice Clement <monsieurp <AT> gentoo.org>

 net-analyzer/ripe-atlas-tools/Manifest             |  5 +++
 .../ripe-atlas-tools/ripe-atlas-tools-1.2.3.ebuild | 49 ++++++++++++++++++++++
 2 files changed, 54 insertions(+)

diff --git a/net-analyzer/ripe-atlas-tools/Manifest 
b/net-analyzer/ripe-atlas-tools/Manifest
index 97e7bed..9ea5ec9 100644
--- a/net-analyzer/ripe-atlas-tools/Manifest
+++ b/net-analyzer/ripe-atlas-tools/Manifest
@@ -1,2 +1,7 @@
 DIST ripe.atlas.tools-1.2.1.tar.gz 83916 SHA256 
3f4d385ffa9bfb9cc04121dc109807f85d1291db4705529ff83da44847856665 SHA512 
4c91d14f15e80e7e0ce4d6973e497bb48561314434d1521437311fb813197da7ba0a3e27f14cebe5a71d75baba37d2e5045b94d9e39699ef4a4e57aafb063ea7
 WHIRLPOOL 
7e5c2d30407191b18c7e4d4418fcb64c386ca9525a2b8224d5290c4fab1e458686d86a00cac7b7bbd70d1d0688e44e76bd563e2589c8aba204ac8165ef10fc0c
 DIST ripe.atlas.tools-1.2.2.tar.gz 84242 SHA256 
93f86d1177b3dc4dd9ac89f08b77d808f093150a5b0afb0351b30a628251a2a0 SHA512 
f76efc0412e21ae50c27ddb33b00274f9be6f6f8d2106eac4e76d8dcdc14f114efc0cae5ee961b56f10b302cee0afa0ea6b84b0df588ddaf9ff5e132f8db4f2c
 WHIRLPOOL 
138d678859be850364835cf4e6ccaa222d3b5c757b6f9167dda44b55cd9621515a798840fb66242f48232a26e9a7bfb32f4d5a9b3e899799941f302b877660d4
+DIST ripe.atlas.tools-1.2.3.tar.gz 86364 SHA256 
fa93796623789fbcc2ed651297a704da4d3239b5eed13d637ba1361efccecc1c SHA512 
f9e3b94ac9561faf0f6738099a0511b5aedb3b0d3230997a8033b8a1a804b885169891de8f408933ad90e3d4543375741657d9989fef09548d9cc8f0d9920e66
 WHIRLPOOL 
dbdcfd801a3e1a3af3271d5f4e12cd068494d50cc442150eded4a805a9871360ee93bffb5118ef10b3806d3ac4bfc0a9f36964b7a54fb60d01fe78b0b70b9112
+EBUILD ripe-atlas-tools-1.2.1.ebuild 1277 SHA256 
4734ec06ada6c5605dce4366129f29a647d53332d606da4e5883b11a93aeb270 SHA512 
b24356a67c1aadb40e2b25f94ced2858b4b6a0f7896dbf411cb85bdb6ee11aba365ede9e2cc64c4c6c4a4631906307c99ed106302439640b01882840bab8cb61
 WHIRLPOOL 
9c159873251231b480de54b1356216cec6aaac560e1abf301c99c56f22a645c835c8735455da7cd94224298a6a8c221fb10ba6938850f3d6a79766d84c402f00
+EBUILD ripe-atlas-tools-1.2.2.ebuild 1278 SHA256 
a649b5a5f08d8a31f6258e5eeed07190781ddc72209c2b29ac789e2cd9ea8d49 SHA512 
12c682e2157919cbdd005fe846010c9bb02c2f0b70e8c6aeef4ea6efe6834e292084f3c0a506dd8259ab5bc9c54eca3c886d9ea54784bc576a039c7bde5b68e5
 WHIRLPOOL 
11356c4c0a468c0c1bc75aa66a500cabe8f0da7942881026a70260aab5608ca20a1e30e773851ba55c6be473dbd668f39013d8bb0da618f0e6e7b3abf4708342
+EBUILD ripe-atlas-tools-1.2.3.ebuild 1308 SHA256 
a139f72399bd437cf9723b06f62147257fa7161489c02653273b632ae2b491a2 SHA512 
a95bb670debc4c5c4d9d8014783c9e4dc5c036f91ac482bfcf7e2bba7100bcecbda9c0f37a909f07f607ca0c711e1beba75a8b26af91609729deb17df90fa9fe
 WHIRLPOOL 
711e1542a987637c7897e8dc7dbb0322d44c87322ff12094f4091100bc4802cfa4d42fd40fae514103f7ae933ae971361755a8fcffc50ee717fbbb7e9091d835
+MISC metadata.xml 523 SHA256 
950faa567998fcc1ae440778eee961376693f6414f07ce08ab49cacc31680dad SHA512 
e1d1bfcfeec6ef799e20d0133bd577d8a7106d4828eecff1c4d2baced482067d40023bbd4539d2b2407504fb9055d52beab22d3bc829ceee647fad570dbcd1d7
 WHIRLPOOL 
3841103376f373e9f4b7bb4611673dd6d9647538e78ab312035eae341ca7371652a75bb26ecee4ef962075543cd481d9e18d365611e17559fa6a1b8e84d7759c

diff --git a/net-analyzer/ripe-atlas-tools/ripe-atlas-tools-1.2.3.ebuild 
b/net-analyzer/ripe-atlas-tools/ripe-atlas-tools-1.2.3.ebuild
new file mode 100644
index 0000000..aa6355e
--- /dev/null
+++ b/net-analyzer/ripe-atlas-tools/ripe-atlas-tools-1.2.3.ebuild
@@ -0,0 +1,49 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+
+PYTHON_COMPAT=( python2_7 python3_4 )
+
+inherit distutils-r1
+
+MY_PN=${PN//-/.}
+DESCRIPTION="The official command-line client for RIPE Atlas"
+HOMEPAGE="https://atlas.ripe.net/";
+SRC_URI="mirror://pypi/${PN:0:1}/ripe.atlas.tools/ripe.atlas.tools-${PV}.tar.gz"
+
+LICENSE="GPL-3"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="test"
+
+S="${WORKDIR}/${MY_PN}-${PVR}"
+
+DOCS=( CHANGES.rst README.rst )
+
+RDEPEND="
+       >=net-libs/ripe-atlas-sagan-1.1.8[${PYTHON_USEDEP}]
+       >=www-client/ripe-atlas-cousteau-1.0.7[${PYTHON_USEDEP}]
+       >=dev-python/requests-2.7.0[${PYTHON_USEDEP}]
+       >=dev-python/pyopenssl-0.13[${PYTHON_USEDEP}]
+       dev-python/pyyaml[${PYTHON_USEDEP}]
+       dev-python/tzlocal[${PYTHON_USEDEP}]
+       dev-python/python-dateutil[${PYTHON_USEDEP}]
+       dev-python/ujson[${PYTHON_USEDEP}]"
+DEPEND="
+       dev-python/setuptools[${PYTHON_USEDEP}]
+       test? (
+               ${RDEPEND}
+               dev-python/nose[${PYTHON_USEDEP}]
+               $(python_gen_cond_dep 'dev-python/mock[${PYTHON_USEDEP}]' 
python2_7) )"
+
+python_test() {
+       nosetests --verbose || die "Tests failed with ${EPYTHON}"
+}
+
+python_install() {
+       distutils-r1_python_install
+       echo "RIPE Atlas Tools (Magellan) [Gentoo Linux] ${PVR}" > \
+               ${D}$(python_get_sitedir)/ripe/atlas/tools/user-agent
+}

Reply via email to